import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const vetFarmGetQuarantineCodeService = createAsyncThunk(
  "VET_FARM_GET_QUARANTINE_CODE_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `poultry-request-quarantine-code`,
      { params: d }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
